package com.hncy.auth.inject.spring.boot.starter.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Author: ying.dong
 * @Date: 2021/7/16 14:44
 */
@ConfigurationProperties(prefix = AuthInjectProperties.PREFIX)
@Data
public class AuthInjectProperties {

    public static final String PREFIX = "config.auth.inject";

    private static final String DEFAULT_AUTH_USER_HEADER_NAME = "auth-user";

    /**
     * 注入的header名
     */
    private String header = DEFAULT_AUTH_USER_HEADER_NAME;
}
