package com.hncy.exception.handler.spring.boot.starter.core.alarm;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:26
 */
public interface AlarmReporter {


    /**
     * 异常上报
     * @param throwable
     */
    void report(Throwable throwable);

    /**
     * 上报
     * @param content
     */
    void report(String content);

}
