package com.hncy.message.spring.boot.starter.metadata.resolver;

import com.hncy.message.spring.boot.starter.common.Support;
import com.hncy.message.spring.boot.starter.metadata.MessageMetadata;

/**
 * 解析已经注册到容器的MessageMetadata，用于自动创建（exchange、 queue）等资源
 * @Author: ying.dong
 * @Date: 2021/6/4 11:50
 */
public interface MessageMetadataResolver extends Support<MessageMetadata> {

    /**
     * 解析处理
     * @param messageMetadata
     */
    boolean resolve(MessageMetadata messageMetadata);
}
