package com.hncy.notifier.spring.boot.starter.core;

/**
 * @Author: ying.dong
 * @Date: 2021/8/5 14:57
 */
public class DefaultNotifierResult extends NotifierResult {

    private final Throwable throwable;

    public DefaultNotifierResult(boolean isSuccess) {
        super(isSuccess);
        this.throwable = null;
    }

    public DefaultNotifierResult(Throwable throwable) {
        super(false);
        this.throwable = throwable;
    }

    @Override
    public Throwable getThrowable() {
        return throwable;
    }
}
