package com.hncy.notifier.spring.boot.starter.core;

/**
 * @Author: ying.dong
 * @Date: 2021/8/5 14:52
 */
public abstract class NotifierResult {

    protected final boolean success;

    public NotifierResult(boolean success) {
        this.success = success;
    }

    public boolean isSuccess() {
        return success;
    }

    public abstract Throwable getThrowable();
}
