package com.hncy.sentinel.spring.boot.starter.message;

import org.springframework.http.HttpStatus;

/**
 * @Author: ying.dong
 * @Date: 2021/7/5 15:13
 */
public class DefaultBlockMessage implements ResponseMessage {

    private final String MESSAGE = "请求太频繁，请稍后再试";

    @Override
    public int getCode() {
        return HttpStatus.TOO_MANY_REQUESTS.value();
    }

    @Override
    public String getMessage() {
        return MESSAGE;
    }
}
