package com.hncy.common.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author xuy
 * @date 02/04/2021.
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserDetailsVo implements Serializable{

    private static final long serialVersionUID = 259599112687175111L;
    /**
     * 系统内部ID(例如：小程序用户就对应openid,运维登录系统就对应username)
     */
    private String account;
    /**
     * 登录时用到的用户名（例如医生端短信登录，则为手机号）
     */
    private String name;
    private String password;
    private Boolean disable;
    private List<String> permissions;

}
