package com.hncy.common.exception.custom;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:24
 */
public class LocalBusinessException extends BusinessException implements Localizable {

    private static final long serialVersionUID = 4815319569073257711L;

    public LocalBusinessException(int code) {
        super();
        setCode(code);
    }
    public LocalBusinessException(int code,String message) {
        super(message);
        setCode(code);
        setMessage(message);
    }

    @Override
    public String getLocalizedMessage() {
        return localize(getCode());
    }
}
