package com.hncy.deploy.exception;

/**
 * @Author: ying.dong
 * @Date: 2021/5/18 11:13
 */
public class ProcessNotExists extends RuntimeException {
    private static final long serialVersionUID = 5137111374198032873L;

    private Integer id;

    public ProcessNotExists(Integer id) {
        super("process id [" + id + "] not exists!");
        this.id = id;
    }

    public Integer getId() {
        return id;
    }
}
