package com.hncy.deploy.exception;

/**
 * @Author: ying.dong
 * @Date: 2021/5/18 11:01
 */
public class ServiceNotConfiguredException extends RuntimeException {
    private static final long serialVersionUID = -4802789923685764842L;

    private final String name;

    public ServiceNotConfiguredException(String name) {
        super("service [" + name + " ] not configured!");
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
