package com.hncy.service.wechat.applet.biz.entity;

import com.hncy.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 部件和上报案件关系
 * </p>
 *
 * @author cs
 * @since 2021-11-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value="ComponentIssueReportRelation对象", description="部件和上报案件关系")
public class ComponentIssueReportRelation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部件id")
    private String componentObjId;

    @ApiModelProperty(value = "上报问题案件id")
    private String componentIssuesId;


    public static final String COMPONENT_OBJ_ID = "component_obj_id";

    public static final String COMPONENT_ISSUES_ID = "component_issues_id";

}
