package com.hncy.service.wechat.applet.biz.mini.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Author: ying.dong
 * @Date: 2021/6/15 15:48
 */
@Data
@ConfigurationProperties(prefix = MiniProgramProperties.PREFIX)
public class MiniProgramProperties {

    public static final String PREFIX = "config.auth.applet";

    private String appId;
    private String secret;

    /**
     * access_token有效期
     */
    private Long expireInSeconds;

}
