package com.hncy.service.wechat.applet.biz.mini.dto.input;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

/**
 * @Author: ying.dong
 * @Date: 2021/6/15 15:36
 */
@Data
@NoArgsConstructor
public class Code2SessionInput {

    @NonNull
    private String appid;

    @NonNull
    private String secret;

    /**
     * 登录时获取的 code
     */
    @NonNull
    private String js_code;

    @Nullable
    private String grant_type = "authorization_code";
}
