package com.hncy.service.wechat.applet.biz.service;

import com.hncy.common.dto.ResultBean;
import com.hncy.service.wechat.applet.biz.dto.ComponentPictureDto;
import com.hncy.service.wechat.applet.biz.entity.ComponentPicture;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 部件图片表 服务类
 * </p>
 *
 * @author cs
 * @since 2021-11-04
 */
public interface ComponentPictureService extends IService<ComponentPicture> {

    /**
     * @Description 上传部件采集图片
     * @Date 2021/11/5 9:49
     * @param componentPictureDtos
     * @return List<ComponentPicture>
     */
    ResultBean<List<ComponentPicture>> uploadComponentPicture(List<ComponentPictureDto> componentPictureDtos);

    /**
     * @Description 删除部件图片(包括批量删除)
     * @Date 2021/11/5 10:00
     * @param ids
     * @return
     */
    ResultBean deletePictures(List<String> ids);
}
