package com.hncy.service.wechat.applet.biz.service;

import java.util.List;
import java.util.Map;

/**
 * 提供AR程序调用
 * 
 * @author liyl
 *
 */
public interface ComponentsRemoteService {

	/**
	 * 获取类型以及立案条件
	 *
	 * @return 类型以及立案条件
	 */
	Map<String, Object> queryTypeAndRegCond();

	/**
	 * 获取所有部件数据
	 *
	 * @return 所有部件数据集
	 */
	List<Map<String, Object>> loadAllComponents();

	/**
	 * AR上报
	 *
	 * @param paramsMap 上报问题相关数据
	 * @return 结果
	 */
	Map<String, Object> reportByAR(Map<String, Object> paramsMap);
}