package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @Author: cs
 * @Date: 2021/11/3 11:00
 * 部件子类类型VO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class ComponentSubTypesVo {

    @ApiModelProperty(value = "部件子类名称：如雨水井盖之类")
    private String componentName;

    @ApiModelProperty(value = "部件子类编码")
    private String componentCode;

}
