package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @Author: cs
 * @Date: 2021/11/3 9:59
 * 今日巡检部件的总数和类别
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class PatrolInspectionComponentsSumVo {

    @ApiModelProperty(value = "巡检部件类别名字")
    private String PatrolInspectionComponentsTypeName;

    @ApiModelProperty(value = "每类巡检部件总数")
    private String PatrolInspectionComponentsSum;

}
