package com.hncy.exception.handler.spring.boot.starter.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:24
 */
@Data
@AllArgsConstructor
public class ApiResult {

    private LocalResult body;

    private HttpStatus status;

    public ResponseEntity<LocalResult> toResponseEntity() {
        return new ResponseEntity<>(body, status);
    }
}
