package com.hncy.file.manage.spring.boot.starter.oss.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;
import java.util.Map;

/**
 * @Author: ying.dong
 * @Date: 2021/5/22 14:49
 */
@Data
@ConfigurationProperties(prefix = OSSProperties.PREFIX)
public class OSSProperties {

    public static final String PREFIX = "config.file.manage.oss";

    private List<Map<String, OSSRoleProperties>> ossRoleProperties;
}
