package com.hncy.common.exception.custom;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:24
 */
public abstract class BaseBusinessException extends RuntimeException {

    private static final long serialVersionUID = -5808211807429111010L;

    protected BaseBusinessException(String message) {
        super(message);
    }

    protected BaseBusinessException(Throwable cause) {
        super(cause);
    }

    protected BaseBusinessException(String message, Throwable cause) {
        super(message, cause);
    }

    public BaseBusinessException(int code) {
        super(String.valueOf(code));
    }
}
