package com.hncy.deploy.properties;

import lombok.Data;

/**
 * @Author: ying.dong
 * @Date: 2021/5/18 10:30
 */
@Data
public class FlatDeployProperties {

    /**
     * 环境
     */
    private String profile;

    /**
     * 工作目录
     */
    private String workspace;

    /**
     * 服务名
     */
    private String name;

    /**
     * jar 目录
     */
    private String directory;

    /**
     * 描述
     */
    private String description;

    /**
     * 停服务等待超时时间
     */
    private Integer shutdownTimeoutInSeconds;
    /**
     * 启动服务等待超时时间
     */
    private Integer startTimeoutInSeconds;

    /**
     * jar包名称
     */
    private String jar;

    /**
     * 健康检查地址
     */
    private String healthCheck;

    /**
     * jvm相关参数
     */
    private JvmProperties jvm;
}
