package com.hncy.service.wechat.applet.api.dto.output;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

/**
 * @Author: cs
 * @Date: 2021/10/28 14:32
 */
@Data
public class BaseOutput {

    @JsonIgnore
    private final Integer SUCCESS_CODE = 0;

    /**
     * 错误码
     */
    private Integer errcode;
    private String errmsg;

    /**
     * 判断是否成功
     * @return
     */
    @JsonIgnore
    public boolean isSuccess() {
        return errcode == null || SUCCESS_CODE.equals(errcode);
    }

}
