package com.hncy.service.wechat.applet.biz.entity;

import com.hncy.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 巡查网格
 * </p>
 *
 * @author cs
 * @since 2021-11-29
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@ApiModel(value="DyGrid对象", description="巡查网格")
public class DyGrid {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "单元网格编码")
    private String bgcode;

    private String shape;

    private String bdShape;

    private String gdShape;

    @ApiModelProperty(value = "面积")
    private Double area;

    @ApiModelProperty(value = "周长")
    private Double perimeter;

    private Double shapeLeng;

    private Double shapeArea;

    @ApiModelProperty(value = "区域编码")
    private String dscode;

    @ApiModelProperty(value = "区域名称")
    private String dsname;

    @ApiModelProperty(value = "街道编码")
    private String streetid;

    @ApiModelProperty(value = "街道名称")
    private String streetname;

    @ApiModelProperty(value = "社区编码")
    private String comid;

    @ApiModelProperty(value = "社区名称")
    private String comname;


    public static final String BGCODE = "bgcode";

    public static final String SHAPE = "shape";

    public static final String BD_SHAPE = "bd_shape";

    public static final String GD_SHAPE = "gd_shape";

    public static final String AREA = "area";

    public static final String PERIMETER = "perimeter";

    public static final String SHAPE_LENG = "shape_leng";

    public static final String SHAPE_AREA = "shape_area";

    public static final String DSCODE = "dscode";

    public static final String DSNAME = "dsname";

    public static final String STREETID = "streetid";

    public static final String STREETNAME = "streetname";

    public static final String COMID = "comid";

    public static final String COMNAME = "comname";

}
