package com.hncy.service.wechat.applet.biz.mapper;

import com.hncy.service.wechat.applet.biz.dto.CountMounthComponentDto;
import com.hncy.service.wechat.applet.biz.entity.CityGrid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.service.wechat.applet.biz.entity.ComponentDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 区县网格 Mapper 接口
 * </p>
 *
 * @author cs
 * @since 2021-11-29
 */
public interface CityGridMapper extends BaseMapper<CityGrid> {

    List<ComponentDetail> selectSumComponentsInDirection(@Param("dscode") String code);

    List<CountMounthComponentDto> selectSumComponentsByMounth(@Param("dscode") String code);
}
