package com.hncy.service.wechat.applet.biz.mapper;

import com.hncy.service.wechat.applet.biz.entity.WxUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.time.LocalDateTime;

/**
 * <p>
 * 微信小程序用户表 Mapper 接口
 * </p>
 *
 * @author cs
 * @since 2021-10-27
 */
public interface WxUserMapper extends BaseMapper<WxUser> {

    WxUser selectByTel(String tel);

    WxUser getWxUserInfoByopenId(String openId);

    String getOpenId(String wxUserId);

    WxUser selectOpenId(String openId);
}
