package com.hncy.service.wechat.applet.biz.mini.dto.out;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.hncy.service.wechat.applet.api.dto.output.BaseOutput;
import lombok.Data;

/**
 * @Author: ying.dong
 * @Date: 2021/6/15 18:16
 */
@Data
public class AccessTokenOutput extends BaseOutput {

    @JsonProperty("access_token")
    private String accessToken;

    /**
     * 凭证有效时间，单位：秒。目前是7200秒之内的值。
     */
    @JsonProperty("expires_in")
    private Integer expiresIn;
}
