package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * @Author: cs
 * @Date: 2021/11/3 9:59
 * 部件采集VO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class ComponentAcquisitionVo {

    @ApiModelProperty(value = "部件类型名称")
    private String componentTypeName;

    @ApiModelProperty(value = "部件类型编码")
    private String componentTypeCode;

    @ApiModelProperty(value = "扫描部件集合")
    private List<AIScanComponentsVo> aiScanComponentsVoList;

}
