package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: cs
 * @Date: 2021/11/10 9:59
 * 部件总数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class CountComponentsVo {

    @ApiModelProperty(value = "支持ar巡检部件总数量")
    private String componentSum;

    @ApiModelProperty(value = "支持ar巡检部件完好数量")
    private String componentWell;

    @ApiModelProperty(value = "支持ar巡检部件异常数量")
    private String componentAbnormal;




}
